Create IDP config
curl --request POST \
--url http://co-mind-platform-host/v1/admin/idp-configs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"type": "<string>",
"host": "<string>",
"port": 123,
"baseDn": "<string>",
"bindDn": "<string>",
"bindPassword": "<string>",
"emailDomains": [
"<string>"
]
}
'import requests
url = "http://co-mind-platform-host/v1/admin/idp-configs"
payload = {
"name": "<string>",
"type": "<string>",
"host": "<string>",
"port": 123,
"baseDn": "<string>",
"bindDn": "<string>",
"bindPassword": "<string>",
"emailDomains": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
type: '<string>',
host: '<string>',
port: 123,
baseDn: '<string>',
bindDn: '<string>',
bindPassword: '<string>',
emailDomains: ['<string>']
})
};
fetch('http://co-mind-platform-host/v1/admin/idp-configs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"type": "<string>",
"host": "<string>",
"port": 123,
"baseDn": "<string>",
"bindDn": "<string>",
"emailDomains": [
"<string>"
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"error": {
"message": "Invalid request parameters",
"type": "invalid_request_error",
"code": "bad_request"
}
}{
"error": {
"message": "Invalid authentication credentials",
"type": "permission_error",
"code": "unauthorized"
}
}{
"error": {
"message": "Unauthorized backend access",
"type": "permission_error",
"code": "forbidden"
}
}Directory Admin
Create IDP config
Create a new identity provider configuration. Admin role required.
POST
/
v1
/
admin
/
idp-configs
Create IDP config
Authorizations
Bearer token authentication. Supports two token types:
- JWT Access Token — obtained via
POST /v1/auth/login - Personal Access Token (PAT) — created via
POST /v1/api-tokens, format:cmnd_<tokenId>.<secret>
Body
application/json
⌘I

